<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.10.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>MeLOn: melon::IdentityScaler&lt; T &gt; Class Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="MeLOn_only.png"/></td>
  <td id="projectalign">
   <div id="projectname">MeLOn
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.10.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function(){initNavTree('classmelon_1_1_identity_scaler.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classmelon_1_1_identity_scaler-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">melon::IdentityScaler&lt; T &gt; Class Template Reference</div></div>
</div><!--header-->
<div class="contents">

<p>Class implementing an identity scaling algorithm.  
 <a href="#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="scaler_8h_source.html">scaler.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for melon::IdentityScaler&lt; T &gt;:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classmelon_1_1_identity_scaler.png" usemap="#melon::IdentityScaler_3C_20T_20_3E_map" alt=""/>
  <map id="melon::IdentityScaler_3C_20T_20_3E_map" name="melon::IdentityScaler_3C_20T_20_3E_map">
<area href="classmelon_1_1_scaler.html" title="Abstract class defining scaling algorithm." alt="melon::Scaler&lt; T &gt;" shape="rect" coords="0,0,159,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:af0a9ab64ab0270821f1d009faaa66565" id="r_af0a9ab64ab0270821f1d009faaa66565"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#af0a9ab64ab0270821f1d009faaa66565">IdentityScaler</a> ()=default</td></tr>
<tr class="separator:af0a9ab64ab0270821f1d009faaa66565"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afc69a84ccbded718a1b8c39c3f358933" id="r_afc69a84ccbded718a1b8c39c3f358933"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#afc69a84ccbded718a1b8c39c3f358933">~IdentityScaler</a> ()=default</td></tr>
<tr class="separator:afc69a84ccbded718a1b8c39c3f358933"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a94216e6334e78f99af99aa493ebd3a0c" id="r_a94216e6334e78f99af99aa493ebd3a0c"><td class="memItemLeft" align="right" valign="top">std::vector&lt; T &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a94216e6334e78f99af99aa493ebd3a0c">scale</a> (const std::vector&lt; T &gt; &amp;input) const override</td></tr>
<tr class="memdesc:a94216e6334e78f99af99aa493ebd3a0c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Scales input value using the identity (= no scaling).  <br /></td></tr>
<tr class="separator:a94216e6334e78f99af99aa493ebd3a0c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a59da1a53d947d4be17777524a3120d43" id="r_a59da1a53d947d4be17777524a3120d43"><td class="memItemLeft" align="right" valign="top">std::vector&lt; T &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a59da1a53d947d4be17777524a3120d43">descale</a> (const std::vector&lt; T &gt; &amp;input) const override</td></tr>
<tr class="memdesc:a59da1a53d947d4be17777524a3120d43"><td class="mdescLeft">&#160;</td><td class="mdescRight">Scales input values (= no scaling).  <br /></td></tr>
<tr class="separator:a59da1a53d947d4be17777524a3120d43"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classmelon_1_1_scaler"><td colspan="2" onclick="javascript:dynsection.toggleInherit('pub_methods_classmelon_1_1_scaler')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classmelon_1_1_scaler.html">melon::Scaler&lt; T &gt;</a></td></tr>
<tr class="memitem:a630a4449ca458ff02cc69e32f9c25960 inherit pub_methods_classmelon_1_1_scaler" id="r_a630a4449ca458ff02cc69e32f9c25960"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmelon_1_1_scaler.html#a630a4449ca458ff02cc69e32f9c25960">~Scaler</a> ()=default</td></tr>
<tr class="memdesc:a630a4449ca458ff02cc69e32f9c25960 inherit pub_methods_classmelon_1_1_scaler"><td class="mdescLeft">&#160;</td><td class="mdescRight">Virtual desctructor to enable inheritance.  <br /></td></tr>
<tr class="separator:a630a4449ca458ff02cc69e32f9c25960 inherit pub_methods_classmelon_1_1_scaler"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><div class="compoundTemplParams">template&lt;typename T&gt;<br />
class melon::IdentityScaler&lt; T &gt;</div><p>Class implementing an identity scaling algorithm. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="af0a9ab64ab0270821f1d009faaa66565" name="af0a9ab64ab0270821f1d009faaa66565"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af0a9ab64ab0270821f1d009faaa66565">&#9670;&#160;</a></span>IdentityScaler()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classmelon_1_1_identity_scaler.html">melon::IdentityScaler</a>&lt; T &gt;::IdentityScaler </td>
          <td>(</td>
          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">default</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="afc69a84ccbded718a1b8c39c3f358933" name="afc69a84ccbded718a1b8c39c3f358933"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afc69a84ccbded718a1b8c39c3f358933">&#9670;&#160;</a></span>~IdentityScaler()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classmelon_1_1_identity_scaler.html">melon::IdentityScaler</a>&lt; T &gt;::~<a class="el" href="classmelon_1_1_identity_scaler.html">IdentityScaler</a> </td>
          <td>(</td>
          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">default</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a59da1a53d947d4be17777524a3120d43" name="a59da1a53d947d4be17777524a3120d43"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a59da1a53d947d4be17777524a3120d43">&#9670;&#160;</a></span>descale()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt; T &gt; <a class="el" href="classmelon_1_1_identity_scaler.html">melon::IdentityScaler</a>&lt; T &gt;::descale </td>
          <td>(</td>
          <td class="paramtype">const std::vector&lt; T &gt; &amp;</td>          <td class="paramname"><span class="paramname"><em>input</em></span></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Scales input values (= no scaling). </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">input</td><td>is a vector of values that shoud get scaled.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>returns a vector of scaled values </dd></dl>

<p>Implements <a class="el" href="classmelon_1_1_scaler.html#acc1ba354a08076af07295b7b95ddf139">melon::Scaler&lt; T &gt;</a>.</p>

</div>
</div>
<a id="a94216e6334e78f99af99aa493ebd3a0c" name="a94216e6334e78f99af99aa493ebd3a0c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a94216e6334e78f99af99aa493ebd3a0c">&#9670;&#160;</a></span>scale()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt; T &gt; <a class="el" href="classmelon_1_1_identity_scaler.html">melon::IdentityScaler</a>&lt; T &gt;::scale </td>
          <td>(</td>
          <td class="paramtype">const std::vector&lt; T &gt; &amp;</td>          <td class="paramname"><span class="paramname"><em>input</em></span></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Scales input value using the identity (= no scaling). </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">input</td><td>is a vector of values that shoud get scaled.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>returns a vector of scaled values </dd></dl>

<p>Implements <a class="el" href="classmelon_1_1_scaler.html#ac098737ac814b791fa4f82dc5278468b">melon::Scaler&lt; T &gt;</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>C:/Data/Git/MeLOn/common/inc/<a class="el" href="scaler_8h_source.html">scaler.h</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespacemelon.html">melon</a></li><li class="navelem"><a class="el" href="classmelon_1_1_identity_scaler.html">IdentityScaler</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.10.0 </li>
  </ul>
</div>
</body>
</html>
